#include "wm_hal.h"
#include "gpio.h"

void HAL_MspInit(void)
{

}


void HAL_I2C_MspInit(I2C_HandleTypeDef* hi2c)
{
    __HAL_RCC_I2C_CLK_ENABLE();
    __HAL_AFIO_REMAP_I2C_SCL(SCL_PORT, SCL_PIN);
    __HAL_AFIO_REMAP_I2C_SDA(SDA_PORT, SDA_PIN);
}

void HAL_I2C_MspDeInit(I2C_HandleTypeDef* hi2c)
{
    __HAL_RCC_I2C_CLK_DISABLE();
    HAL_GPIO_DeInit(SCL_PORT, SCL_PIN);
    HAL_GPIO_DeInit(SDA_PORT, SDA_PIN);
}


